Bug 427952 - when mass-changing bugs to NEEDINFO, needinfo flag is not set
when mass-changing bugs to NEEDINFO, needinfo flag is not set
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Attachments/Requests (Show other bugs)
3.2
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 23:50 EST by Jon Stanley
Modified: 2013-06-24 00:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-23 18:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow needinfo? flag to be set during mass edit. (v1) (5.43 KB, patch)
2008-09-22 15:18 EDT, David Lawrence
nelhawar: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 456642 None None None Never

  None (edit)
Description Jon Stanley 2008-01-07 23:50:26 EST
I mass changed about 300 bugs to NEEDINFO (old FC6 kernel bugs asking the
reporters to reproduce with current versions as part of the triaging project
that I'm trying to relaunch), and found that the *status* was changed to
NEEDINFO, however the flag was not set.  What this results in is when the
reporter supplies more information, needinfo? is set, rather than cleared.  I
made the change via the "Change Several Bugs" feature of buglist.cgi.  See bug
223930 for an example of this.
Comment 1 David Lawrence 2008-09-16 12:55:43 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 Jon Stanley 2008-09-22 00:25:12 EDT
The semantics of needinfo have changed in 3.2, this bug is no longer valid.
Comment 3 David Lawrence 2008-09-22 10:58:21 EDT
This bug is still present even though we don't use the NEEDINFO status anymore. We need to be able to set the needinfo? flag from the mass-change bug form. I need to add the UI bits beneath the comment textarea similar to how it is in show_bug.cgi. The code in process_bug.cgi should be fine as long as the proper cgi variables are present. Will look into doing this.

Dave
Comment 4 David Lawrence 2008-09-22 15:18:41 EDT
Created attachment 317411 [details]
Patch to allow needinfo? flag to be set during mass edit. (v1)

Hey Noura. Please review this patch if you get time. This basically allows the needinfo type operations to be accomplished from the mass bug edit form just like in show_bug.cgi.

Basically it shows 3 choices beneath the comment textarea:

1. Need additional information the selected bugs from anyone/reporter/assignee/qacontact or other.
2. I am providing the requested information for these bugs and should have their needinfo request cleared.
3. Otherwise adding comment will automatically clear needinfo request for bugs where needinfo was requested of anyone or you specifically.

I created a new needinfo.html.tmpl that is used either from edit-multiple.html.tmpl or edit.html.tmpl and looks for the massedit variable to determine how to render.

Thanks
Dave
Comment 5 Noura El hawary 2008-09-23 14:47:43 EDT
Comment on attachment 317411 [details]
Patch to allow needinfo? flag to be set during mass edit. (v1)

Hi Dave,

Patch looks good to me and works fine, one thing i noticed it is not related to your patch, that is in the change multiple bugs page in the status drop down menu it has inactive statuses still like the NEEDINFO. so maybe we can add the following :

Index: template/en/default/list/edit-multiple.html.tmpl
===================================================================
RCS file: /cvs/qa/rh_bugzilla_3/template/en/default/list/edit-multiple.html.tmpl,v
retrieving revision 1.10
diff -p -u -r1.10 edit-multiple.html.tmpl
--- template/en/default/list/edit-multiple.html.tmpl    7 Aug 2008 17:11:58 -0000       1.10
+++ template/en/default/list/edit-multiple.html.tmpl    23 Sep 2008 18:44:41 -0000
@@ -303,7 +303,12 @@
   minrows = 5
   maxrows = 25
   cols    = constants.COMMENT_COLS
-%]<br>
+%]
+<br>
+[%# REDHAT EXTENSION END 406451 %]
+[% PROCESS bug/needinfo.html.tmpl massedit = 1 %]
+[%# REDHAT EXTENSION END 406451 %]
+<br>

 [% IF groups.size > 0 %]

@@ -384,9 +389,11 @@
     <option value="[% dontchange FILTER html %]" selected="selected">[% dontchange FILTER html %]</option>

     [% FOREACH bug_status = new_bug_statuses %]
+       [% IF bug_status.isactive %]
       <option value="[% bug_status.name FILTER html %]">
         [% get_status(bug_status.name) FILTER html %]
       </option>
+      [% END %] 
       [% IF !bug_status.is_open %]
         [% filtered_status =  bug_status.name FILTER js %]
         [% closed_status_array.push( filtered_status ) %]
Comment 6 David Lawrence 2008-09-23 18:13:49 EDT
Thanks Noura. I have created a bug for the inactive bug state issue. Will check in the needinfo patch.

https://bugzilla.mozilla.org/show_bug.cgi?id=456642

Dave

Note You need to log in before you can comment on or make changes to this bug.